// CHECKSTYLE:OFF

package com.microsoftopentechnologies.windowsazurestorage;

import org.jvnet.localizer.Localizable;
import org.jvnet.localizer.ResourceBundleHolder;

@SuppressWarnings({
    "",
    "PMD"
})
public class Messages {

    private final static ResourceBundleHolder holder = ResourceBundleHolder.get(Messages.class);

    /**
     * Required: Enter Windows Azure storage account name
     * 
     */
    public static String WAStoragePublisher_storage_name_req() {
        return holder.format("WAStoragePublisher_storage_name_req");
    }

    /**
     * Required: Enter Windows Azure storage account name
     * 
     */
    public static Localizable _WAStoragePublisher_storage_name_req() {
        return new Localizable(holder, "WAStoragePublisher_storage_name_req");
    }

    /**
     * Required: Enter names of artifacts to upload
     * 
     */
    public static String WAStoragePublisher_artifacts_req() {
        return holder.format("WAStoragePublisher_artifacts_req");
    }

    /**
     * Required: Enter names of artifacts to upload
     * 
     */
    public static Localizable _WAStoragePublisher_artifacts_req() {
        return new Localizable(holder, "WAStoragePublisher_artifacts_req");
    }

    /**
     * Upload artifacts to Windows Azure Blob storage
     * 
     */
    public static String WAStoragePublisher_displayName() {
        return holder.format("WAStoragePublisher_displayName");
    }

    /**
     * Upload artifacts to Windows Azure Blob storage
     * 
     */
    public static Localizable _WAStoragePublisher_displayName() {
        return new Localizable(holder, "WAStoragePublisher_displayName");
    }

    /**
     * WindowsAzureStorage - Failed to upload any build artifacts to Windows Azure Storage 
     * Verify the list of files to upload and that the Ant glob syntax is correct
     * 
     */
    public static String WAStoragePublisher_nofiles_uploaded() {
        return holder.format("WAStoragePublisher_nofiles_uploaded");
    }

    /**
     * WindowsAzureStorage - Failed to upload any build artifacts to Windows Azure Storage 
     * Verify the list of files to upload and that the Ant glob syntax is correct
     * 
     */
    public static Localizable _WAStoragePublisher_nofiles_uploaded() {
        return new Localizable(holder, "WAStoragePublisher_nofiles_uploaded");
    }

    /**
     * Container Name must be between 3 and 63 characters, start with a letter or number, contain only letters, numbers and dashes (-). (Note that consecutive dashes are not allowed and dash cannot be the last character)
     * 
     */
    public static String WAStoragePublisher_container_name_invalid() {
        return holder.format("WAStoragePublisher_container_name_invalid");
    }

    /**
     * Container Name must be between 3 and 63 characters, start with a letter or number, contain only letters, numbers and dashes (-). (Note that consecutive dashes are not allowed and dash cannot be the last character)
     * 
     */
    public static Localizable _WAStoragePublisher_container_name_invalid() {
        return new Localizable(holder, "WAStoragePublisher_container_name_invalid");
    }

    /**
     * WindowsAzureStorage - Uploaded File Count =  {0} 
     * 
     */
    public static String WAStoragePublisher_files_uploaded_count(Object arg1) {
        return holder.format("WAStoragePublisher_files_uploaded_count", arg1);
    }

    /**
     * WindowsAzureStorage - Uploaded File Count =  {0} 
     * 
     */
    public static Localizable _WAStoragePublisher_files_uploaded_count(Object arg1) {
        return new Localizable(holder, "WAStoragePublisher_files_uploaded_count", arg1);
    }

    /**
     * Required: Enter Windows Azure storage account key
     * 
     */
    public static String WAStoragePublisher_storage_key_req() {
        return holder.format("WAStoragePublisher_storage_key_req");
    }

    /**
     * Required: Enter Windows Azure storage account key
     * 
     */
    public static Localizable _WAStoragePublisher_storage_key_req() {
        return new Localizable(holder, "WAStoragePublisher_storage_key_req");
    }

    /**
     * WindowsAzureStorage - Build failed, hence cancelling the upload of the artifacts to Windows Azure storage
     * 
     */
    public static String WAStoragePublisher_build_failed_err() {
        return holder.format("WAStoragePublisher_build_failed_err");
    }

    /**
     * WindowsAzureStorage - Build failed, hence cancelling the upload of the artifacts to Windows Azure storage
     * 
     */
    public static Localizable _WAStoragePublisher_build_failed_err() {
        return new Localizable(holder, "WAStoragePublisher_build_failed_err");
    }

    /**
     * Storage This account name is already in use
     * 
     */
    public static String WAStoragePublisher_dup_storage_name() {
        return holder.format("WAStoragePublisher_dup_storage_name");
    }

    /**
     * Storage This account name is already in use
     * 
     */
    public static Localizable _WAStoragePublisher_dup_storage_name() {
        return new Localizable(holder, "WAStoragePublisher_dup_storage_name");
    }

    /**
     * WindowsAzureStorage - Container name is missing or not valid
     * 
     */
    public static String WAStoragePublisher_container_name_err() {
        return holder.format("WAStoragePublisher_container_name_err");
    }

    /**
     * WindowsAzureStorage - Container name is missing or not valid
     * 
     */
    public static Localizable _WAStoragePublisher_container_name_err() {
        return new Localizable(holder, "WAStoragePublisher_container_name_err");
    }

    /**
     * Validation Successful  
     * 
     */
    public static String WAStoragePublisher_SA_val() {
        return holder.format("WAStoragePublisher_SA_val");
    }

    /**
     * Validation Successful  
     * 
     */
    public static Localizable _WAStoragePublisher_SA_val() {
        return new Localizable(holder, "WAStoragePublisher_SA_val");
    }

    /**
     * WindowsAzureStorage - Error occured while uploading to Windows Azure - {0}
     * 
     */
    public static String WAStoragePublisher_uploaded_err(Object arg1) {
        return holder.format("WAStoragePublisher_uploaded_err", arg1);
    }

    /**
     * WindowsAzureStorage - Error occured while uploading to Windows Azure - {0}
     * 
     */
    public static Localizable _WAStoragePublisher_uploaded_err(Object arg1) {
        return new Localizable(holder, "WAStoragePublisher_uploaded_err", arg1);
    }

    /**
     * WindowsAzureStorage - Storage account information not found
     * 
     */
    public static String WAStoragePublisher_storage_account_err() {
        return holder.format("WAStoragePublisher_storage_account_err");
    }

    /**
     * WindowsAzureStorage - Storage account information not found
     * 
     */
    public static Localizable _WAStoragePublisher_storage_account_err() {
        return new Localizable(holder, "WAStoragePublisher_storage_account_err");
    }

    /**
     * WindowsAzureStorage - List of Files to upload must not be empty
     * 
     */
    public static String WAStoragePublisher_filepath_err() {
        return holder.format("WAStoragePublisher_filepath_err");
    }

    /**
     * WindowsAzureStorage - List of Files to upload must not be empty
     * 
     */
    public static Localizable _WAStoragePublisher_filepath_err() {
        return new Localizable(holder, "WAStoragePublisher_filepath_err");
    }

    /**
     * Failed to validate storage account details. Please verify storage account name and key. If you are using a private or other Windows Azure cloud service, make sure that the blob endpoint url is correct.
     * 
     */
    public static String Client_SA_val_fail() {
        return holder.format("Client_SA_val_fail");
    }

    /**
     * Failed to validate storage account details. Please verify storage account name and key. If you are using a private or other Windows Azure cloud service, make sure that the blob endpoint url is correct.
     * 
     */
    public static Localizable _Client_SA_val_fail() {
        return new Localizable(holder, "Client_SA_val_fail");
    }

    /**
     * Required: Enter container name
     * 
     */
    public static String WAStoragePublisher_container_name_req() {
        return holder.format("WAStoragePublisher_container_name_req");
    }

    /**
     * Required: Enter container name
     * 
     */
    public static Localizable _WAStoragePublisher_container_name_req() {
        return new Localizable(holder, "WAStoragePublisher_container_name_req");
    }

    /**
     * WindowsAzureStorage - Uploading files to Windows Azure
     * 
     */
    public static String WAStoragePublisher_uploading() {
        return holder.format("WAStoragePublisher_uploading");
    }

    /**
     * WindowsAzureStorage - Uploading files to Windows Azure
     * 
     */
    public static Localizable _WAStoragePublisher_uploading() {
        return new Localizable(holder, "WAStoragePublisher_uploading");
    }

}
